// File Name: card_demo.cpp
//
// Author: Jill Seaman
// Date: 7/3/2013
// Assignment Number: 1
// CS3358 Spring 2015
// Instructor: Jill Seaman
//
// This is a small demonstration program showing how the Player and Deck
// classes are used.

#include <iostream>    
#include "card.h"
#include "player.h"
#include "deck.h"

using namespace std;


//***********************************************************
// dealHand: deals a specified number of cards from the deck
//           into a player's hand.
// d: the Deck of Dards
// p: the Player
// numCards: the number of cards to deal
//***********************************************************

void dealHand(Deck &d, Player &p, int numCards)
{
    for (int i=0; i < numCards; i++)
        p.addCard(d.dealCard());
}



int main( )
{
    int numCards = 5;    // size of a hand
    
    Player p1("Joe");    // player 1
    Player p2("Jane");   // player 2
    
    // create a deck of cards (shuffled).
    Deck d;

    // deal out cards to each player
    dealHand(d, p1, numCards);
    dealHand(d, p2, numCards);

    //show hands of each player
    cout << p1.getName() <<" has : " << p1.showHand() << endl;
    cout << p2.getName() <<" has : " << p2.showHand() << endl;
    
}


   



